# Odoo migration Cheatsheet

## v15 > v18

### (xml) attrs

The field "attr" is not supported since v17. Replace it with :

- invisible : invisible="{PYTHON}"
- readonly : readonly="{PYTHON}"

### (xml) tree

`<tree>` is replaced by `<list>`. This implies :

- You might want to update all your `<xpath>`

- Also replace it in all your custom views

- Also update your action records, the view_mode field

### (py) group_expand

The related function now takes only two arguments after self. The last one (order) has been removed.
